package org.springblade.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lianghanqiang
 * @description: 响应状态枚举
 * @since: 7/29/21 -- 2:30 PM
 */
@Getter
@AllArgsConstructor
public enum ResCode {





	/*  支付模块  */
	PAY_FAIL(511,"支付异常"),
	PAY_TYPE_ERROR(512,"支付方式错误"),
	PAY_SCENE_ERROR(512,"支付场景错误"),


	/*	动态密码	*/
	ID_NOT_NULL(521,"ID串不能为空"),


	/*	加密，解密模块	*/
	ENCODE_FAIL(501,"加密失败"),
	DECODE_FAIL(502,"解密失败"),
















	/*  通用   */
	FAIL(500,"系统异常！");



	Integer status;
	String msg;
}
